Bug 147486 - Postinstall script is very slow
Postinstall script is very slow
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2005-02-08 09:25 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-10 03:30:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-02-08 09:25:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
fixfiles -C /etc/selinux/strict/contexts/file/file_contexts.pre restore

There's no such directory.
There's /etc/selinux/strict/context/files.
Also, is the filename correct (.pre?) 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See summary 

Additional info:
Comment 1 Daniel Walsh 2005-02-08 13:45:09 EST
Fixed in selinux-policy-strict-1.21.9-1
Comment 2 Ivan Gyurdiev 2005-02-10 02:05:39 EST
Reopening to track a related problem.
I feel that there's something wrong with the postinstall script,
because it takes an absurdly long amount of time now.
It is definitely working, but it seems to me that it is relabeling the whole
filesystem - it's just way too slow.

Could this have something to do with the interplay between the 
binary and source packages (I have both installed, for both policies
actually)? If the .pre file is gone for some reason
due to those scripts, I assume fixfiles -C will go and relabel everything..

In any case, it takes way too long, which is a bug.
Comment 3 Ivan Gyurdiev 2005-02-10 03:30:26 EST
Grr... testing with rpm alone shows run times as acceptable.
This might be a yum issue, or a config issue. I don't know what's
going on, so closing again until I find out.

Note You need to log in before you can comment on or make changes to this bug.